Qt 5.6 | Qt Labs Controls | QML Types | TextArea QML Type

Qt 5.6.3 Reference Documentation

# TextArea QML Type

A multi line text input control. More...

Import Statement: | import Qt.labs.controls 1.0

- List of all members, including inherited members

## Properties

- background : Item
- focusReason : enumeration
- placeholderText : string

## Signals

- void pressAndHold(MouseEvent mouse)

## Detailed Description

TextArea is a multi-line text editor. TextArea extends TextEdit with a placeholder text functionality, and adds decoration.

      TextArea {
          placeholderText: qsTr("Enter description")
      }

Note: Types in the Qt.labs module are not guaranteed to remain compatible in future versions.

See also TextField, Customizing TextArea, and Input Controls.

## Property Documentation

background : Item

This property holds the background item.

Note: If the background item has no explicit size specified, it automatically follows the control's size. In most cases, there is no need to specify width or height for a background item.

See also Customizing TextArea.

focusReason : enumeration

This property holds the reason of the last focus change.

Note: This property does not indicate whether the control has active focus, but the reason why the control either gained or lost focus.

Constant | Description
--- | ---
`Qt.MouseFocusReason` | A mouse action occurred.
`Qt.TabFocusReason` | The Tab key was pressed.
`Qt.BacktabFocusReason` | A Backtab occurred. The input for this may include the Shift or Control keys; e.g. Shift+Tab.
`Qt.ActiveWindowFocusReason` | The window system made this window either active or inactive.
`Qt.PopupFocusReason` | The application opened/closed a pop-up that grabbed/released the keyboard focus.
`Qt.ShortcutFocusReason` | The user typed a label's buddy shortcut
`Qt.MenuBarFocusReason` | The menu bar took focus.
`Qt.OtherFocusReason` | Another reason, usually application-specific.

See also Item::activeFocus.

placeholderText : string

This property holds the placeholder text.

## Signal Documentation

void pressAndHold(MouseEvent mouse)

This signal is emitted when there is a long press (the delay depends on the platform plugin). The mouse parameter provides information about the press, including the x and y position of the press, and which button is pressed.